Subject: Why does ribosome have 2 subunits?

From: [email-masked] (David Konerding)
Date: 16 Nov 1993 05:29:58 GMT

An interesting question has been posed in my Biochemistry class.

What advantage does a ribosome gain by having two subunits?

Since the question was posed in Harry Noller's class, I'd guess the
answer has something to do with his "hybrid states" model (as compared
to Watson's more classical model) involving the peculiar method of
movement of the tRNAs attached to the ribosome.

I'm not sure if the question is really specific enough for useful
answers to be found, but I'm curious.  Any ideas?

--
David Konerding						   [email-masked]
University of California, Santa Cruz			   [email-masked]